# -*- coding: utf-8 -*-
"""
/***************************************************************************
 RealCentroidDialog
                                 A QGIS plugin
 Create point shape from polygon centroids
                             -------------------
        begin                : 2013-10-27
        copyright            : (C) 2013 by Zoltan Siki
        email                : siki at agt.bme.hu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
"""

from PyQt4 import QtCore, QtGui
from ui_realcentroid import Ui_RealCentroid
from qgis.core import *
import util

# create the dialog for real centroids
class RealCentroidDialog(QtGui.QDialog):
    def __init__(self):
        QtGui.QDialog.__init__(self)
        # Set up the user interface from Designer.
        self.ui = Ui_RealCentroid()
        self.ui.setupUi(self)
        # add action to browse button
        QtCore.QObject.connect(self.ui.browseButton, QtCore.SIGNAL("clicked()"), self.browse)

    def showEvent(self, event):
        # remove previous entries from layer list
        self.ui.layerBox.clear ()
        # add polygon layers to list
        self.ui.layerBox.addItems(util.getLayerNames([QGis.Polygon]))

    def browse(self):
        self.ui.pointEdit.clear()	# clear output file field
        # open file dialog
        (self.shapefileName, self.encoding) = util.saveDialog(self)
        if self.shapefileName is None or self.encoding is None:
            return
        self.ui.pointEdit.setText(self.shapefileName)	# fill output file field
